re-enable rotation for the intel driver in optimus mode

Bug #1386620 reported by Maarten Lankhorst on 2014-10-28
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
OEM Priority Project
Critical
Unassigned
Trusty
Critical
Unassigned
xorg-server (Ubuntu)
Critical
Unassigned
Trusty
Critical
Unassigned
Utopic
Critical
Unassigned
Vivid
Critical
Unassigned
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
xserver-xorg-video-intel-lts-trusty (Ubuntu)
Precise
Undecided
Unassigned

Bug Description

[Impact]
 * The fix for bug #1308515 prevents rotation from being used.
 * Rotation support should be added to the intel driver to maintain feature parity when optimus is used vs when not in use.

[Test Case]
 * Run xrandr --output SOMEOUTPUT --rotation left
    - Expected: Screen should rotate.
    - Bad behavior: Succeeds, but causes a black screen. OR the call fails, and screen is not rotated.

[Regression Potential]
 * Will probably regress when modesetting is used, a separate patch might be needed to disable transforms on modesetting. Will have to be tested.

[Other Info]
 n/a

Changed in xserver-xorg-video-intel (Ubuntu Utopic):
status: New → Fix Released
Changed in xserver-xorg-video-intel (Ubuntu Vivid):
status: New → Fix Released
Changed in oem-priority:
importance: Undecided → Critical
tags: added: verification-needed

Hello Maarten, or anyone else affected,

Accepted xserver-xorg-video-intel into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel/2:2.99.910-0ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-intel (Ubuntu Trusty):
status: New → Fix Committed
Shih-Yuan Lee (fourdollars) wrote :

I have verified xserver-xorg-core=2:1.15.1-0ubuntu2.2, xserver-common=2:1.15.1-0ubuntu2.2 and xserver-xorg-video-intel=2:2.99.910-0ubuntu1.3 from trusty-proposed.
And they do fix this issue.

tags: added: verification-done
removed: verification-needed
Changed in xorg-server (Ubuntu Trusty):
status: New → Fix Committed
Mathew Hodson (mathew-hodson) wrote :

xorg-server in trusty-proposed is available at https://launchpad.net/ubuntu/+source/xorg-server/2:1.15.1-0ubuntu2.2

Maarten Lankhorst (mlankhorst) wrote :

I've verified xorg-server rotation works correctly. On utopic I had issues with rotation, when using xrandr --output HDMI1 --rotate left in normal mode. Bisecting it shows it was caused by introducing dri3 support, and cherry picking some upstream patches fixed it. The trusty patches to xxv-intel don't introduce dri3 support so it's unaffected by the hang I've discovered.

But on trusty with those patches rotation works for me as it should. :)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.910-0ubuntu1.3

---------------
xserver-xorg-video-intel (2:2.99.910-0ubuntu1.3) trusty-proposed; urgency=medium

  [ Maarten Lankhorst ]
  * Backport support for rotation with SNA. (LP: #1386620)

  [ Timo Aaltonen ]
  * sna-use-vmask-in-3dstate-ps.diff: Fix GPU hang on BDW with xvideo.
    (LP: #1390016)
 -- Timo Aaltonen <email address hidden> Thu, 06 Nov 2014 14:27:38 +0200

Changed in xserver-xorg-video-intel (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xserver-xorg-video-intel has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Maarten, or anyone else affected,

Accepted xserver-xorg-video-intel-lts-trusty into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel-lts-trusty/2:2.99.910-0ubuntu1.3~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done-trusty verification-needed-precise
removed: verification-needed
Timo Aaltonen (tjaalton) on 2014-12-05
tags: added: verification-done
removed: verification-done-trusty verification-needed-precise
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Vivid):
status: New → Invalid
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Utopic):
status: New → Invalid
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2014-12-08
tags: added: verification-needed
removed: verification-done
Mathew Hodson (mathew-hodson) wrote :

A new version of xorg-server is available in the trusty-proposed repository and at https://launchpad.net/ubuntu/+source/xorg-server/2:1.15.1-0ubuntu2.3 .

Mathew Hodson (mathew-hodson) wrote :

This bug needs a Precise task for xserver-xorg-video-intel-lts-trusty as that package is also available in precise-proposed and waiting for verification.

Mathew Hodson (mathew-hodson) wrote :

The xorg-server SRU for Trusty has been shadowed by a security update and needs to be re-merged.

Changed in xorg-server (Ubuntu Trusty):
status: Fix Committed → In Progress
Timo Aaltonen (tjaalton) wrote :

2:2.99.910-0ubuntu1.3 is already shipping via oem images, so the fear of regressions is overrated

Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: New → Invalid
Changed in xorg-server (Ubuntu Precise):
status: New → Invalid
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel-lts-trusty - 2:2.99.910-0ubuntu1.3~precise1

---------------
xserver-xorg-video-intel-lts-trusty (2:2.99.910-0ubuntu1.3~precise1) precise; urgency=medium

  * Backport to precise.

xserver-xorg-video-intel (2:2.99.910-0ubuntu1.3) trusty-proposed; urgency=medium

  [ Maarten Lankhorst ]
  * Backport support for rotation with SNA. (LP: #1386620)

  [ Timo Aaltonen ]
  * sna-use-vmask-in-3dstate-ps.diff: Fix GPU hang on BDW with xvideo.
    (LP: #1390016)

xserver-xorg-video-intel (2:2.99.910-0ubuntu1.2) trusty-proposed; urgency=medium

  [ Maarten Lankhorst ]
  * Fix black screen with SNA. (LP: #1365695)

  [ Timo Aaltonen ]
  * fix-no-backlight.diff: Don't let backlight switch off when cycling
    through display modes. (LP: #1373776)

xserver-xorg-video-intel (2:2.99.910-0ubuntu1.1) trusty; urgency=medium

  * Backport fixes from upstream driver for fglrx and broadwell. (LP: #1359105)
  * Add more pci-ids for broadwell.
    - add-pci-ids-crv.diff
    - add-pci-ids-brw.diff
    - add-names-brw.diff
  * Enable basic UXA blit acceleration for broadwell.
    - uxa-bdw-0.diff
    - uxa-bdw-1.diff
    - uxa-bdw-2.diff
  * Fix a crash in FreeScreen with sna when used with fglrx.
    - sna-freescreen.diff
 -- Timo Aaltonen <email address hidden> Fri, 21 Nov 2014 10:41:58 +0200

Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Precise):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

Hello Maarten, or anyone else affected,

Accepted xorg-server into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server/2:1.15.1-0ubuntu2.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.16.2.901-1ubuntu2

---------------
xorg-server (2:1.16.2.901-1ubuntu2) vivid; urgency=medium

  * Fix FTBFS with the bool redefinition by undef'ing it after including mir.
 -- Maarten Lankhorst <email address hidden> Sat, 13 Dec 2014 14:13:17 +0100

Changed in xorg-server (Ubuntu Vivid):
status: New → Fix Released
Maarten Lankhorst (mlankhorst) wrote :

Verifying rotation works as expected with the new xorg-server package in trusty.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.15.1-0ubuntu2.6

---------------
xorg-server (2:1.15.1-0ubuntu2.6) trusty-proposed; urgency=medium

  [ Laércio de Sousa ]
  * Backport support for logind-based multiseat back to trusty. (LP: #1209008)

  [ Maarten Lankhorst ]
  * Re-enable support for rotation and transforms on gpu-screens with support.
    - Allows re-enabling intel SNA rotation after fixing it. (LP: #1386620)
  * Fix black screen when using qemu with cirrus vga.
    - fb-24-depth.patch (LP: #1318119)
 -- Maarten Lankhorst <email address hidden> Mon, 03 Nov 2014 12:36:32 +0100

Changed in xorg-server (Ubuntu Trusty):
status: Fix Committed → Fix Released
Ara Pulido (ara) on 2015-01-20
Changed in oem-priority:
status: New → Fix Released
no longer affects: xserver-xorg-video-intel-lts-trusty (Ubuntu Trusty)
no longer affects: xserver-xorg-video-intel-lts-trusty (Ubuntu Utopic)
no longer affects: xserver-xorg-video-intel-lts-trusty (Ubuntu Vivid)
no longer affects: xserver-xorg-video-intel-lts-trusty (Ubuntu)
no longer affects: xorg-server (Ubuntu Precise)
no longer affects: xserver-xorg-video-intel (Ubuntu Precise)
Changed in xorg-server (Ubuntu Utopic):
importance: Undecided → Critical
status: New → Fix Released
Changed in xorg-server (Ubuntu Trusty):
importance: Undecided → Critical
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers